package es.cipfpbatoi.modelo;
// Generated 31 ene 2023 11:09:24 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

/**
 * Customer generated by hbm2java
 */
@Entity
@Table(name = "customer", catalog = "sakila")
@Getter @Setter
public class Customer implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "customer_id", unique = true, nullable = false)
	private Short customerId;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "address_id", nullable = false)
	private Address address;
	
	@Column(name = "store_id", nullable = false)
	private byte storeId;
	
	@Column(name = "first_name", nullable = false, length = 45)
	private String firstName;
	
	@Column(name = "last_name", nullable = false, length = 45)
	private String lastName;
	
	@Column(name = "email", length = 50)
	private String email;
	
	@Column(name = "active", nullable = false)
	private boolean active;

	public Customer() {
	}

	public Customer(Address address, byte storeId, String firstName, String lastName, boolean active) {
		this.address = address;
		this.storeId = 1;
		this.firstName = firstName;
		this.lastName = lastName;
		this.active = active;
	}

	public Customer(Address address, byte storeId, String firstName, String lastName, String email, boolean active) {
		this.address = address;
		this.storeId = 1;
		this.firstName = firstName;
		this.lastName = lastName;
		this.email = email;
		this.active = active;
	}

	
//	public Short getCustomerId() {
//		return this.customerId;
//	}
//
//	public void setCustomerId(Short customerId) {
//		this.customerId = customerId;
//	}
//
//	
//	public Address getAddress() {
//		return this.address;
//	}
//
//	public void setAddress(Address address) {
//		this.address = address;
//	}
//
//	
//	public byte getStoreId() {
//		return this.storeId;
//	}
//
//	public void setStoreId(byte storeId) {
//		this.storeId = storeId;
//	}
//
//	
//	public String getFirstName() {
//		return this.firstName;
//	}
//
//	public void setFirstName(String firstName) {
//		this.firstName = firstName;
//	}
//
//	
//	public String getLastName() {
//		return this.lastName;
//	}
//
//	public void setLastName(String lastName) {
//		this.lastName = lastName;
//	}
//
//	
//	public String getEmail() {
//		return this.email;
//	}
//
//	public void setEmail(String email) {
//		this.email = email;
//	}
//
//	
//	public boolean isActive() {
//		return this.active;
//	}
//
//	public void setActive(boolean active) {
//		this.active = active;
//	}

	


}
